/*Fuentes*/
@font-face{
    font-family: "Epilogue";
    src: url('../../fonts/Epilogue.ttf');
    font-weight: normal;
    font-style: normal;
}

*{
    margin: 0;
    padding: 0;
    text-decoration: none;
    font-family: "Epilogue";
}

/*contenedor del inicio de sesion*/

.container-all{
    width: 100%;
    height: 600px;
    margin-bottom: 105px;
}

/*Resgistro e Inicio de sesion*/

.container-form{
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 900px;
    height: 450px;
    position: absolute;
    border-radius: 20px;
    box-shadow: 0px 5px 7px rgba(0, 0, 0, .1);
    transition: all 1s ease;
    margin: 10px;
    /*Centrado del container*/
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.information{
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    text-align: center;
    background-color: #da9fe0;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.info-child{
    width: 100%;
    padding: 0 20px;
}

.info-child h2{
    font-size: 40px;
    color: #282828;
}

.info-child p{
    margin: 15px 0;
    color: #383838;
}

.info-child input{
    background-color: transparent;
    outline: none;
    border: solid 2px #E752AE;
    border-radius: 20px;
    padding: 10px 20px;
    color: #E752AE;
    cursor: pointer;
    transition: background-color .3s ease;
}

.info-child input:hover{
    background-color: #E752AE;
    color: white;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, .1);
}

.form-information{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60%;
    height: 100%;
    text-align: center;
    background-color: rgb(244, 244, 244);
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}

.form-information-child{
    padding: 0 30px;
}

.form-information-child h2{
    color: #282828;
    font-size: 32px;
}

.form-information-child p{
    color: #383838;
}

.icons{
    margin: 15px 0;
}

.icons i{
    border-radius: 50%;
    padding: 15px;
    cursor: pointer;
    margin: 0 10px;
    color: #E752AE;
    transition: background-color 0.3s ease;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, .1);
    border: solid thin #E752AE;
}

.icons i:hover{
    background-color: #E752AE;
    color: white;
}

.form{
    margin: 30px 0 0 0;
}

.form label{
    display: flex;
    align-items: center;
    margin-bottom: 15px;
    border-radius: 20px;
    padding: 0 10px;
    background-color: #fff;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, .1);
}

.form label input{
    width: 100%;
    padding: 10px;
    background-color: #fff;
    border: none;
    outline: none;
    border-radius: 20px;
    color: #282828;
}

.form label i{
    color: #a7a7a7;
}

.form input[type="submit"] {
    background-color: #E752AE;
    color: #fff;
    border-radius: 20px;
    border: none;
    padding: 10px 15px;
    cursor: pointer;
    margin-top: 10px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, .1);
}

.form input[type="submit"]:hover{
    background-color: #d94ca3;
}

.hide{
    position: absolute;
    transform: translateY(-300%);
}

.form a {
    font-size: 15px;
    text-decoration: none;
    color: #E752AE;
}

/*responsive de pagina de crear cuenta*/

@media (max-width: 780px){
    
    .container-all{
        width: 100%;
        height: 800px;
        margin-bottom: 0px;
    }

    .container-form{
        margin-top: 100px;
        display: flex;
        flex-direction: column;
        box-shadow: none;
    }
    
    .information{
        width: 100%;
        border-top-right-radius: 20px;
        border-bottom-left-radius: 0px;
    }

    .info-child {
        height: 140px;
    }

    .info-child h2{
        margin-top: 10px;
    }

    .info-child p{
        margin: 10px;
    }

    .form-information{
        width: 100%;
        border-top-right-radius: 0px;
        border-bottom-left-radius: 20px;
    }

    .form-information-child{
        height: 380px;
    }

    .form-information-child h2{
        margin-top: 10px;
    }

}

@media (max-width: 425px){

    .info-child {
        height: 180px;
    }

    .form-information-child{
        height: 430px;
    }

}

#custom-google-signin {
    position: relative;
    z-index: 1000;
}

/*Detalles de requisitos de contrasena*/

.password-requirements {
    font-size: 0.9rem;
    color: #666;
    margin-bottom: 15px;
}
.password-requirements ul {
    padding-left: 20px;
    margin-top: 5px;
}
.valid {
    color: green;
}
.invalid {
    color: red;
}


/*los information, controlan la forma de los objetos dentro y de el visual*/

/*el flex column funciona, pero no respeta los espacios a la hora del contenido*/